<!doctype html>
<html>
<head>
  <meta charset='utf-8'>
  <title> Handling events in IE8 and earlier </title>
  <style>
	span {
		cursor: pointer;
	}
  </style>
  <script>
window.onload = function() {
	var div = document.getElementById('clickme');
	var div2 = document.getElementById('Some Text');
	if (div.addEventListener) {
		div.addEventListener('click', handleClick, false);
	} else if (div.attachEvent) {
		div.attachEvent('click', handleClick);
	}
	
	if (div2.addEventListener) {
		div2.addEventListener('mouseover', handleMouse, false);
	} else if (div2.attachEvent) {
		div2.attachEvent('mouseover', handleMouse);
	}
};

function handleClick(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	alert('You clicked on ' + target.id);
}

function handleMouse(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	alert('You had mouse over ' + target.id);
}

  </script>
</head>
<body>
<p><span id='clickme'>Click me!</span></p>
<p><span id='Some Text'>Some Text</span></p>
</body>
</html>
